class DfApiUserInfo {
  final String sub;
  final String name;
  final String familyName;
  final String givenName;
  final String middleName;
  final String nickName;
  final String prefferedUserName;
  final Object profile;
  final Object picture;
  final Object webSite;
  final Object gender;
  final DateTime birthDate;
  final Object zoneInfo;
  final String locale;
  final DateTime updatedAt;
  final String email;
  final Object emailVerified;

  Map<String, dynamic> _asJson;

  DfApiUserInfo({
    this.sub,
    this.name,
    this.familyName,
    this.givenName,
    this.middleName,
    this.nickName,
    this.prefferedUserName,
    this.profile,
    this.picture,
    this.webSite,
    this.gender,
    this.birthDate,
    this.zoneInfo,
    this.locale,
    this.updatedAt,
    this.email,
    this.emailVerified,
  });

  factory DfApiUserInfo.fromJson(Map<String, dynamic> json) {
    var userInfo = DfApiUserInfo(
      sub: json["sub"],
      name: json["name"],
      familyName: json["family_name"],
      givenName: json["given_name"],
      middleName: json["middle_name"],
      nickName: json["nick_name"],
      prefferedUserName: json["preffered_username"],
      profile: json["profile"],
      picture: json["picture"],
      webSite: json["website"],
      gender: json["gender"],
      birthDate: json["birth_date"],
      zoneInfo: json["zone_info"],
      locale: json["locale"],
      updatedAt: json["updated_at"],
      email: json["email"],
      emailVerified: json["email_verified"],
    );

    userInfo._asJson = json;

    return userInfo;
  }

  Map<String, dynamic> get asJson => _asJson;
}
